Get Premium Classification
Access control: this endpoint is available to users with the
everyonerole.
Retrieves the premium classification for an ItemCode and SystemCode.
NOTE: If your item code contains any of these characters /, +, ?,”,’ ,% or #, please use the following encoding before making a request:
- Replace ’/’ with ’_-ava2f-_’ For example: ‘Item/Code’ becomes ‘Item_-ava2f-_Code’
- Replace ’+’ with ’_-ava2b-_’ For example: ‘Item+Code’ becomes ‘Item_-ava2b-_Code’
- Replace ’?’ with ’_-ava3f-_’ For example: ‘Item?Code’ becomes ‘Item_-ava3f-_Code’
- Replace ’%’ with ’_-ava25-_’ For example: ‘Item%Code’ becomes ‘Item_-ava25-_Code’
- Replace ’#’ with ’_-ava23-_’ For example: ‘Item#Code’ becomes ‘Item_-ava23-_Code’
- Replace ''' with ’_-ava27-_’ For example: ‘Item’Code’ becomes ‘Item_-ava27-_Code’
- Replace ’”’ with ’_-ava22-_’ For example: ‘Item”Code’ becomes ‘Item_-ava22-_Code’
Security Policies
- This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
Authentication
Authorizationstring
API Key authentication via header
Path parameters
companyId
The ID of the company that owns this item object
itemCode
The ItemCode of the item for which you want to retrieve premium classification
systemCode
The SystemCode for which you want to retrieve premium classification
Headers
X-Avalara-Client
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Query parameters
country
Optional: Provide the country for which you want to retrieve the premium classification.
Response
Success
id
ItemPremiumClassificationDetailId
itemCode
Item associated with this premium classification.
companyId
CompanyId with which the Item is associated.
hsCode
The HS code associated with this item's premium classification.
systemCode
SystemCode associated with this premium classificaitons.
justification
Justification why this HsCode is attached to this item.
createdDate
The date when this record was created.
createdUserId
The user who created the record.
country
The country code associated with this premium classification.
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error

